<?php

// если база успешно создалась - работаем дальше
if ($hf_db = @sqlite_open($_SERVER["DOCUMENT_ROOT"] . "/../resource_usage.db")) {
	// дата старта
	$hf_start_date = date('Y-m-d');
	// время старта
	$hf_start_time = date('G:i:s');
	// время старта с микросекундами
	$hf_start_time_mm  = microtime(1);

	// переменные которые будут нужны в конце
	GLOBAL $hf_db;
	GLOBAL $hf_start_date;
	GLOBAL $hf_start_time;
	GLOBAL $hf_start_time_mm;

	// запрос на создание таблицы
	$hf_query = "CREATE TABLE /* IF NOT EXISTS */ resources
		(id INTEGER PRIMARY KEY,	/* autoincrement */
		start_date VARCHAR(10),		/* start date */
		start_time VARCHAR(8),		/* start time */
		site VARCHAR(128),		/* request virtualhost */
		page VARCHAR(128),		/* request page */
		execution_time DOUBLE		/* run time */
		)";
	// Создадим таблицу "resources" в базе
	@sqlite_query($hf_db, $hf_query);

	// функция выполяемая до выхода из скрипта
	function hf_shutdown(){
		// вычисляем время работы скрипта
		$hf_end_time_mm = microtime(1) - $GLOBALS['hf_start_time_mm'];

		// запись данных в базу
		$query = "INSERT INTO resources(start_date, start_time, site, page, execution_time)
			VALUES ('" . $GLOBALS['hf_start_date'] . "',
				'" . $GLOBALS['hf_start_time'] . "',
				'" . sqlite_escape_string($_SERVER["HTTP_HOST"]) . "',
				'" . sqlite_escape_string($_SERVER["REQUEST_URI"]) . "',
				" . $hf_end_time_mm . ");";
		//echo $query;
		@sqlite_query($GLOBALS['hf_db'], $query);
	}

	// регистрируем функцию выхода
	register_shutdown_function('hf_shutdown');
}
?>
