<?php

echo "<CODE><PRE>\n";
$db = sqlite_open("../resource_usage.db");
if (!$db) exit("cannot open database!");
// create index
@sqlite_query($db, "CREATE INDEX /* IF NOT EXISTS */ start_date ON resources (start_date);");

if(isset($_GET['date'])){
	$date = $_GET['date'];
	echo "For date $date:<br /><br />\n\n";
	$query = sqlite_query($db, "SELECT site, SUM(execution_time) AS summ FROM resources
		WHERE start_date='" . sqlite_escape_string($date) . "'
		GROUP BY site ORDER BY summ DESC;");
	// В цикле выведем все полученные данные
	while ($array = sqlite_fetch_array($query))
	{
		echo $array['site'] . "\t-->\t" . $array['summ'] . "\n";
	}
}else{
	// select all dates
	$query = sqlite_query($db, "SELECT DISTINCT(start_date) AS start_date, COUNT(*) AS num_hits FROM resources GROUP BY start_date;");
	// В цикле выведем все полученные данные
	while ($array = sqlite_fetch_array($query))
	{
	echo "<a href='" . $_SERVER["REQUEST_URI"] . "?date=" . $array['start_date'] . "'>" . $array['start_date'] . "</a> (" . $array['num_hits'] . " dynamic hits)\n";
	}
}

?>


